Subject: Re: linux-next: build failure after merge of the netfilter-next tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 13 Apr 2019 14:05:46 +1000

Hi Florian,

On Fri, 12 Apr 2019 10:15:27 +0200 Florian Westphal <[email-masked]> wrote:
>
> Stephen Rothwell <[email-masked]> wrote:
> > After merging the netfilter tree, today's linux-next build (powerpc
> > ppc44x_defconfig) failed like this:
> > 
> > In file included from /home/sfr/next/next/net/bridge/br_input.c:19:
> > /home/sfr/next/next/include/net/netfilter/nf_queue.h:16:23: error: field 'state'
> >  has incomplete type
> >   struct nf_hook_state state;
> >                        ^~~~~
> > Caused by commit
> > 
> >   971502d77faa ("bridge: netfilter: unroll NF_HOOK helper in bridge input path")
> > 
> > This build has CONFIG_NETFILTER not set.
> > 
> > I have applied this patch for today:  
> 
> Can you submit this fix formally to [email-masked]?

Done.  Though I was hoping someone might come up with a better solution
(I don't particularly like conditional inclusions).

-- 
Cheers,
Stephen Rothwell